/*
 *	Version : @(#)serio.h	1.1	4/26/96
 */

/**************************************************************************
**                                                                        *
**  FILE        :  serio.h                                                *
**                                                                        *
**  DESCRIPTION :  Include file with prototypes for "serio.c"             *
**                                                                        *
**  COPYRIGHT   :  1996 Tasking Software B.V., Amersfoort                 *
**                                                                        *
**************************************************************************/

#ifndef	SERIO_INC

void	init_serio	( void );
int	getch		( void );
int	kbhit		( void );
int	putch		( int c );

#ifdef SER_PORT_1
#define DP3_TDX_RDX	0x0100	/* TDX1 = output,  RDX1 = input 	*/
#define MSK_TDX_RDX	0x0300	/* DP3.9= DRXD1, DP3.8 = DTXD1		*/
#define P3_TXD		8	/* P3.8 = TXD1				*/
#define SXBG		S1BG	/* baud rate generator/reload register 	*/
#define SXTBUF		S1TBUF	/* transmit buffer register (write only)*/
#define SXRBUF		S1RBUF	/* receive buffer register (read only)	*/
#define SXCON		S1CON	/* control register			*/
#define SXTIC		S1TIC	/* transmit interrupt control register	*/
#define SXRIC		S1RIC	/* receive interrupt control register	*/
#define SXEIC		S1EIC	/* error interrupt control register	*/
#define SXEIR		S1EIR	/* error interrupt request flag		*/
#define SXRIR		S1RIR	/* receive interrupt request flag	*/
#define SXTIR		S1TIR	/* transmit interrupt request flag	*/
#define SXFE		S1FE	/* framing error flag			*/
#define SXPE		S1PE	/* parity error flag			*/
#else
#define P3_TXD		10	/* P3.10 = TXD1				*/
#define DP3_TDX_RDX	0x0400	/* TDX0 = output,  RDX0 = input 	*/
#define MSK_TDX_RDX	0x0C00	/* DP3.11= DRXD1, DP10.8= DTXD1		*/
#define SXBG		S0BG	/* baud rate generator/reload register 	*/
#define SXTBUF		S0TBUF	/* transmit buffer register (write only)*/
#define SXRBUF		S0RBUF	/* receive buffer register (read only)	*/
#define SXCON		S0CON	/* control register			*/
#define SXTIC		S0TIC	/* transmit interrupt control register	*/
#define SXRIC		S0RIC	/* receive interrupt control register	*/
#define SXEIC		S0EIC	/* error interrupt control register	*/
#define SXEIR		S0EIR	/* error interrupt request flag		*/
#define SXRIR		S0RIR	/* receive interrupt request flag	*/
#define SXTIR		S0TIR	/* transmit interrupt request flag	*/
#define SXFE		S0FE	/* framing error flag			*/
#define SXPE		S0PE	/* parity error flag			*/
#endif

#define	SERIO_INC
#endif

